import request from '@/utils/request'

// 查询支部活动预告列表
export function listActivitynotice(query) {
  return request({
    url: '/branch/activitynotice/list',
    method: 'get',
    params: query
  })
}

// 查询支部活动预告详细
export function getActivitynotice(noticeId) {
  return request({
    url: '/branch/activitynotice/' + noticeId,
    method: 'get'
  })
}

// 新增支部活动预告
export function addActivitynotice(data) {
  return request({
    url: '/branch/activitynotice',
    method: 'post',
    data: data
  })
}

// 修改支部活动预告
export function updateActivitynotice(data) {
  return request({
    url: '/branch/activitynotice',
    method: 'put',
    data: data
  })
}

// 删除支部活动预告
export function delActivitynotice(noticeId) {
  return request({
    url: '/branch/activitynotice/' + noticeId,
    method: 'delete'
  })
}
